package szereplo;
import jatek.*;
public class MozgoSzereplo extends Szereplo{
    protected int irany, lepes;
    public int getIrany() {
        return irany;
    }
    public int getLepes() {
        return lepes;
    }
    public void bal(int[][] terkep) {
        x--;
        lepes++;
    }
    public void fel(int[][] terkep) {
        y--;
        lepes++;
    }
    public void jobb(int[][] terkep) {
        x++;
        lepes++;
    }
    public void le(int[][] terkep) {
        y++;
        lepes++;
    }
    public void elore(int[][] terkep) {
        switch (irany) {
            case Main.BALRA: bal(terkep); break;
            case Main.FELFELE: fel(terkep); break;
            case Main.JOBBRA: jobb(terkep); break;
            case Main.LEFELE: le(terkep); break;
        }
    }
    public void hatra(int[][] terkep) {
        irany=(irany+2)%4;
        elore(terkep);
        irany=(irany+2)%4;
    }
    public void jobbra() {
        irany=++irany%4;
    }
    public void balra() {
        irany=(irany+3)%4;
    }
    public MozgoSzereplo() {}
    public MozgoSzereplo(MozgoSzereplo ms) {
        super(ms);
        irany=ms.getIrany();
        lepes=0;
    }
    public MozgoSzereplo(Szereplo s,int irany) {
        super(s);
        this.irany=irany;
        lepes=0;
    }
}